package Audio;

public interface BassSoundManagerEvent {
    void SoundChannelOpened();
    void SoundChannelClosed();
    void OutputChannelPCMData(int length, byte[] pcmdata);
    void InputChannelPCMData(int length, byte[] pcmdata);
    void DeviceFailure(boolean onOutput, String msg);
    void BufferingInformation(boolean onOutput, String msg);
    void ChannelLevel(boolean onOutput, int level);
}
